describe("SimpleObject", function () {
	var testValue = "Hello";
	describe("Testset", function () {

		it("testValue toUpperCase", function () {
			expect(testValue.toUpperCase()).toBe("HELLO");
		});
		it("testValue toLowerCase", function () {
			expect(testValue.toLowerCase()).toBe("hello");
		});
		xit("testValue not", function () {
			expect(testValue.toLowerCase()).toBe(testValue);
		});

		it("test Objects equal", function () {
			var simpleObject1 = new SimpleObject();
			var simpleObject2 = new SimpleObject();
			expect(simpleObject1).toEqual(simpleObject2);
		});

		//Pending Testcases
		it("testValue length == 5");
		it("testValue length == 5", function () {});
		it("testValue length < 6", function () {
			var testValueLength = testValue.length;
			expect(testValueLength < 5).not.toBeTruthy();
			pending();
		});
		xit("testValue length > 4", function () {
			var testValueLength = testValue.length;
			expect(testValueLength > 4).toBeTruthy();
		});
		//Regex Testcases
		it("test for regex ", function () {
			expect(testValue).toMatch(/[^a-e]/);
			expect(testValue).toMatch("[^a-e]");
		});

	});

	//Testcases for Numbers
	describe("Testset compare numbers", function () {
		var pi = 3.14;
		it("test for greater than", function () {
			expect(pi).toBeGreaterThan(1);
		});

		it("test for less than", function () {
			expect(pi).toBeGreaterThan(1);
			expect(pi).toBeLessThan(5);
		});

	});

	//Testcase for Array check
	describe("Testset check array", function () {

		var array = ["foo", "bar"];

		it("test for contains", function () {
			expect(array).toContain("bar");
			expect(array).toContain("foo");
		});

		it("test for not contain", function () {
			expect(array).not.toContain("fo");
		});

	});

});
